: Class ColumnModelImp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.widgets
Class ColumnModelImp

    java.lang.Object
      |
      +--grendel.widgets.ColumnModelImp

public class ColumnModelImp
extends java.lang.Object
implements ColumnModel, ColumnChangeListener

Constructor Summary
`ColumnModelImp()`

Method Summary
`void` | `addColumn(Column aColumn)`
`void` | `addColumnAt(Column aColumn, int aIndex)`
`void` | `addColumnModelListener(ColumnModelListener aListener)`
`void` | `columnWidthChanged(javax.swing.event.ChangeEvent aEvent)`
`Column` | `getColumn(int aIndex)`
`Column` | `getColumn(java.lang.Object aID)`
`int` | `getColumnCount()`
`int` | `getColumnIndex(Column aColumn)`
`int` | `getColumnIndexAtX(int aX)`
`int` | `getColumnMargin()`
`java.util.Enumeration` | `getColumns()`
`java.lang.String` | `getPrefString()`
`Column` | `getSelectedColumn()`
`int` | `getTotalColumnWidth()`
`void` | `moveColumn(int aSource, int aDest)`
`void` | `removeColumn(Column aColumn)`
`void` | `removeColumnModelListener(ColumnModelListener aListener)`
`void` | `setColumnMargin(int aMargin)`
`void` | `setPrefString(java.lang.String aString)`
`void` | `setSelectedColumn(Column aColumn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnModelImp

    public ColumnModelImp()

Method Detail

### addColumn

    public void addColumn(Column aColumn)

  Specified by:
    addColumn in interface ColumnModel

### addColumnAt

    public void addColumnAt(Column aColumn,
                            int aIndex)

  Specified by:
    addColumnAt in interface ColumnModel

### removeColumn

    public void removeColumn(Column aColumn)

  Specified by:
    removeColumn in interface ColumnModel

### moveColumn

    public void moveColumn(int aSource,
                           int aDest)

  Specified by:
    moveColumn in interface ColumnModel

### getColumnCount

    public int getColumnCount()

  Specified by:
    getColumnCount in interface ColumnModel

### getColumn

    public Column getColumn(int aIndex)

  Specified by:
    getColumn in interface ColumnModel

### getColumn

    public Column getColumn(java.lang.Object aID)

  Specified by:
    getColumn in interface ColumnModel

### getColumns

    public java.util.Enumeration getColumns()

  Specified by:
    getColumns in interface ColumnModel

### getColumnIndex

    public int getColumnIndex(Column aColumn)

  Specified by:
    getColumnIndex in interface ColumnModel

### getColumnIndexAtX

    public int getColumnIndexAtX(int aX)

  Specified by:
    getColumnIndexAtX in interface ColumnModel

### setColumnMargin

    public void setColumnMargin(int aMargin)

  Specified by:
    setColumnMargin in interface ColumnModel

### getColumnMargin

    public int getColumnMargin()

  Specified by:
    getColumnMargin in interface ColumnModel

### getTotalColumnWidth

    public int getTotalColumnWidth()

  Specified by:
    getTotalColumnWidth in interface ColumnModel

### setSelectedColumn

    public void setSelectedColumn(Column aColumn)

  Specified by:
    setSelectedColumn in interface ColumnModel

### getSelectedColumn

    public Column getSelectedColumn()

  Specified by:
    getSelectedColumn in interface ColumnModel

### getPrefString

    public java.lang.String getPrefString()

  Specified by:
    getPrefString in interface ColumnModel

### setPrefString

    public void setPrefString(java.lang.String aString)

  Specified by:
    setPrefString in interface ColumnModel

### addColumnModelListener

    public void addColumnModelListener(ColumnModelListener aListener)

  Specified by:
    addColumnModelListener in interface ColumnModel

### removeColumnModelListener

    public void removeColumnModelListener(ColumnModelListener aListener)

  Specified by:
    removeColumnModelListener in interface ColumnModel

### columnWidthChanged

    public void columnWidthChanged(javax.swing.event.ChangeEvent aEvent)

  Specified by:
    columnWidthChanged in interface ColumnChangeListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD